be.ehealth.businessconnector.mycarenet.attestv3.service

## Interface AttestService

- All Known Implementing Classes:
    AttestServiceImpl

      public interface AttestService

  Interface for all eAttest services Default impl : `AttestServiceImpl` Factory : `ServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelAttestationResponse` | `cancelAttestion(SAMLToken token, SendRequestType request)` Cancel the consultation request to the WS and retrieves the response.
    `SendAttestationResponse` | `sendAttestion(SAMLToken token, SendRequestType request)` Sends the consultation request to the WS and retrieves the response.

- - ### Method Detail

    - #### sendAttestion

          SendAttestationResponse sendAttestion(SAMLToken token,
                                                SendRequestType request)
                                         throws TechnicalConnectorException

      Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `token` - the valid SAML token
        `request` - the request to send
      Returns:
        CancelAttestationResponse
      Throws:
        `TechnicalConnectorException`

    - #### cancelAttestion

          CancelAttestationResponse cancelAttestion(SAMLToken token,
                                                    SendRequestType request)
                                             throws TechnicalConnectorException

      Cancel the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `token` - the valid SAML token
        `request` - the request to send
      Returns:
        CancelAttestationResponse
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.